Package org.apache.torque.sql

## Enum Query.Type

- java.lang.Object
- - java.lang.Enum<Query.Type>
  - - org.apache.torque.sql.Query.Type

- All Implemented Interfaces:
    `Serializable`, `Comparable<Query.Type>`
  Enclosing class:
    Query

      public static enum Query.Type
      extends Enum<Query.Type>

  All types of the statement.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DELETE` | The instance contains the parts of a delete statement.
    `SELECT` | The instance contains the parts of a select statement.
    `UPDATE` | The instance contains the parts of an update statement.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Query.Type` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Query.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SELECT

          public static final Query.Type SELECT

      The instance contains the parts of a select statement.

    - #### UPDATE

          public static final Query.Type UPDATE

      The instance contains the parts of an update statement.

    - #### DELETE

          public static final Query.Type DELETE

      The instance contains the parts of a delete statement.

  - ### Method Detail

    - #### values

          public static Query.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Query.Type c : Query.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Query.Type valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null